// particles.shader

#include "shaders/core_base.shader"
#include "shaders/core_fog.shader"


varying mediump vec2 diffuseTexCoord;
varying mediump vec2 fogTexCoord;

varying lowp vec4 lightColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec4 vertColor;
attribute vec2 texCoords0;

//uniform mat4 projMat2;

void main()
{
    vec4 posWS = getPosWSLS(vertPos);
    vec4 posVS = getPosVSWS(posWS);
    gl_Position = getPosSSVS(posVS);
//    gl_Position = projMat2 * posVS;

    lightColor = getVertexColor(vertColor) * meshColor;

    diffuseTexCoord = texCoords0;
    fogTexCoord = getFogTexCoord(posVS);
}

#endif


#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0; // Diffuse
uniform sampler2D tex1; // Fog

void main()
{
    lowp vec4 diffuseColor = texture2D(tex0, diffuseTexCoord);
    lowp vec4 fogColor = texture2D(tex1, fogTexCoord);

    lowp vec4 color = diffuseColor*lightColor;

    gl_FragColor = vec4(mix(color.rgb, fogColor.rgb, fogColor.a), color.a);
}

#endif
