varying mediump vec2 v_blurTexCoords[5];
uniform mediump vec3 u_textureSize;


#if defined(VERTEX_SHADER)

// 9x9

attribute vec3 vertPos;
attribute vec3 vertColor;

attribute vec2 texCoords0;

uniform mat4 viewMat;
uniform mat4 projMat;
uniform mat4 worldMat;

void main()
{
    gl_Position = vec4(vertPos, 1.0);    

    mediump vec2 recTexSize = vec2(1.0) / u_textureSize.xy;
    highp vec2 uv_in_pixel = u_textureSize.xy * texCoords0;    
    
    v_blurTexCoords[0] = texCoords0;
    v_blurTexCoords[1] = (vec2(uv_in_pixel)+vec2(1.3846153846, 0.0) )*recTexSize;
    v_blurTexCoords[2] = (vec2(uv_in_pixel)-vec2(1.3846153846, 0.0) )*recTexSize;
    v_blurTexCoords[3] = (vec2(uv_in_pixel)+vec2(3.2307692308, 0.0) )*recTexSize;
    v_blurTexCoords[4] = (vec2(uv_in_pixel)-vec2(3.2307692308, 0.0) )*recTexSize;    
}

#endif
#if defined(FRAGMENT_SHADER)


uniform sampler2D tex0;

void main()
{
    // 0
    mediump vec4 color = texture2D( tex0, v_blurTexCoords[0] ) * 0.2270270270;

    // 1    
    color += texture2D( tex0, v_blurTexCoords[1] ) * 0.3162162162;
    color += texture2D( tex0, v_blurTexCoords[2] ) * 0.3162162162;

    // 2
    color += texture2D( tex0, v_blurTexCoords[3] ) * 0.0702702703;
    color += texture2D( tex0, v_blurTexCoords[4] ) * 0.0702702703;

    gl_FragColor = color;    
}

#endif