varying mediump vec2 texCoords;

#if defined(VERTEX_SHADER)


attribute vec3 vertPos;
attribute vec3 vertColor;

attribute vec2 texCoords0;

uniform mat4 viewMat;
uniform mat4 projMat;
uniform mat4 worldMat;
void main()
{
    texCoords = texCoords0;
	gl_Position = vec4(vertPos, 1.0);
    
}

#endif
#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform sampler2D tex2;

uniform lowp vec4 meshColor;
uniform mediump float hdrBrightThres;
uniform mediump float hdrBrightOffset;

void main()
{
    lowp vec4 sum = texture2D(tex0, texCoords);
    
    sum = max( sum - hdrBrightThres, 0.0 );
    sum /= hdrBrightOffset + sum;
    
    gl_FragColor = sum;
}

#endif