// model_tex_unlit.shader

#include "shaders/core_base.shader"


varying mediump vec2 diffuseTexCoord;

varying lowp vec4 lightColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec3 vertColor;
attribute vec2 texCoords0;

void main()
{
    vec4 posWS = getPosWSLS(vertPos);
    vec4 posVS = getPosVSWS(posWS);
    gl_Position = getPosSSVS(posVS);

    lightColor = getVertexColor(vertColor) * meshColor;

    diffuseTexCoord = texCoords0;
}

#endif


#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0; // Diffuse

void main()
{
    lowp vec4 diffuseColor = texture2D(tex0, diffuseTexCoord);

    lowp vec4 color = diffuseColor*lightColor;

    gl_FragColor = color;
}

#endif
