// model_tex_unlit_ref.shader

#include "shaders/core_base.shader"


varying mediump vec2 diffuseTexCoord;
varying mediump vec2 environmentTexCoord;

varying lowp vec4 lightColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec3 vertColor;
attribute vec3 vertNormal;
attribute vec2 texCoords0;

void main()
{
    vec4 posWS = getPosWSLS(vertPos);
    vec4 posVS = getPosVSWS(posWS);
    gl_Position = getPosSSVS(posVS);

    vec3 nrmWS = getNrmWSLS(vertNormal);
    
    lightColor = getVertexColor(vertColor) * meshColor;

    diffuseTexCoord = texCoords0;
    environmentTexCoord = getEnvironmentTexCoord(nrmWS);
}

#endif


#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0; // Diffuse
uniform sampler2D tex1; // Environment

void main()
{
    lowp vec4 diffuseColor = texture2D(tex0, diffuseTexCoord);
    lowp vec4 environmentColor = texture2D(tex1, environmentTexCoord);

    lowp vec4 color = diffuseColor;
    color *= lightColor;
    color.rgb += environmentColor.rgb;
//    color.rgb *= environmentColor.rgb + environmentColor.rgb;

    gl_FragColor = color;
}

#endif
