// model_untex_unlit_fog.shader

#include "shaders/core_base.shader"
#include "shaders/core_fog.shader"


varying mediump vec2 fogTexCoord;

varying lowp vec4 diffuseColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec3 vertColor;

void main()
{
    vec4 posWS = getPosWSLS(vertPos);
    vec4 posVS = getPosVSWS(posWS);
    gl_Position = getPosSSVS(posVS);

    diffuseColor = getVertexColor(vertColor) * meshColor;

    fogTexCoord = getFogTexCoord(posVS);
}

#endif


#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0; // Fog

void main()
{
    lowp vec4 fogColor = texture2D(tex0, fogTexCoord);

    gl_FragColor = vec4(mix(diffuseColor.rgb, fogColor.rgb, fogColor.a), diffuseColor.a);
}

#endif
